Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.stack
Interface UsmAgent

All Known Implementing Classes:
  DefaultUsmAgent

public interface UsmAgent

This interface provides the SNMPv3 USM (User-Based Security Model) authoritative details.

When the stack is used as authoritative SNMP engine it has to send its Engine ID and clock (i.e. Engine Boots and Engine Time) with each message. At the moment only when sending a Trap, the stack is authoritative. See RFC 2574.

Since this stack has no means in providing this information, this interface has to be implemented by the user.

Version:
  $Revision: 3.3 $ $Date: 2002/10/10 15:13:57 $
Author:
  Birgit Arkesteijn
See Also:
  `SnmpContextv3.setUsmAgent(uk.co.westhawk.snmp.stack.UsmAgent)`

Field Summary
`static java.lang.String` | `version_id`

Method Summary
`int` | `getSnmpEngineBoots()` Returns the authoritative Engine Boots.
`java.lang.String` | `getSnmpEngineId()` Returns the authoritative SNMP Engine ID.
`int` | `getSnmpEngineTime()` Returns the authoritative Engine Time.
`void` | `setSnmpContext(SnmpContextv3 context)` Sets the current snmp context.

Field Detail

### version_id

    public static final java.lang.String version_id

Method Detail

### getSnmpEngineId

    public java.lang.String getSnmpEngineId()

  Returns the authoritative SNMP Engine ID. It (at least within an administrative domain) uniquely and unambiguously identifies the SNMP engine.

  The Engine ID is the (case insensitive) string representation of a hexadecimal number, without any prefix, for example 010000a1d41e4946.

  See Also:
    `SnmpUtilities.toBytes(String)`

### getSnmpEngineBoots

    public int getSnmpEngineBoots()

  Returns the authoritative Engine Boots. It is a count of the number of times the SNMP engine has re-booted/re-initialized since snmpEngineID was last configured.

### getSnmpEngineTime

    public int getSnmpEngineTime()

  Returns the authoritative Engine Time. It is the number of seconds since the snmpEngineBoots counter was last incremented.

### setSnmpContext

    public void setSnmpContext(SnmpContextv3 context)

  Sets the current snmp context.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD